aboutsummaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/neo4j-community/Manifest6
-rw-r--r--dev-db/neo4j-community/neo4j-community-1.7.ebuild43
2 files changed, 37 insertions, 12 deletions
diff --git a/dev-db/neo4j-community/Manifest b/dev-db/neo4j-community/Manifest
index 9598f9c..7cb66e1 100644
--- a/dev-db/neo4j-community/Manifest
+++ b/dev-db/neo4j-community/Manifest
@@ -1,5 +1,5 @@
-AUX neo4j.init 374 RMD160 7f90aee650513fd52105aa44fc0cfe01f7c9f421 SHA1 b026130e2e4255de0a7fac251f747e4abc5a92e2 SHA256 be65fe8c0c2b3b658cf4508a331f39064bc4b601f947ceea2ef0ab9bcae7cb22
+AUX neo4j.init 503 RMD160 8520630c80017163bc7ac0f2e685a5792730d1e8 SHA1 916ad3b28c2604f7d3950452341b24824ffb69da SHA256 febb80c7ba7470b4b927311299d971bada495dc65b9c8355ebb44b820d52500a
DIST neo4j-community-1.7-unix.tar.gz 36220025 RMD160 0cbd5da70b19e4ca4fb4e0dfa4d82ba72e51eeed SHA1 f18a7539bd5ad1df2b91b4f17ecce36f1902ab59 SHA256 b9f626878624d9a7b9408c6213dec6d82c13c62e86a037b489dc335e31c4d993
-EBUILD neo4j-community-1.7.ebuild 915 RMD160 bdd7d5c4cf8328b0ae8e79299f69f93c143d3869 SHA1 e5de5c619715739f2bc169f7c796bfcf22a89f72 SHA256 1e1aa3fc1509a98c6bc4a2dd7eb01d81bb10357e671b95fca96e60854aef99cb
-MISC ChangeLog 279 RMD160 ab753fda555a51582307e8acb331ac108d9eaa8e SHA1 5d665040096e5356beb5cda286aedb5049b382b8 SHA256 c43f53cc82cdc5de1e438a7739e8fa7bdfd46aa586d8fc8807b2c99a2e556a79
+EBUILD neo4j-community-1.7.ebuild 1580 RMD160 5eb92434d8d97df100bc58373b4c579a3f9efb12 SHA1 81f2c8fd522b03e4b5a8d601d1a6b2e142da7bee SHA256 d04b2de615c5cca8b046c697165782b6f879d0d610d08da7ee721feee35ec2ff
+MISC ChangeLog 375 RMD160 bf81f5a07a3beb399d0436a5f6453f0951d6c405 SHA1 be6ec038f8aa74ddd9ce75db6388e68c3e82231e SHA256 4c3b9bed71bc7ce031aa1e7250136ddeb6d2ed678c47ee2bd7a7b6bf952d4e3f
MISC metadata.xml 239 RMD160 75199ea6eda41a4c46b6b1352021faf877906253 SHA1 5115cf852e6a0a94e6cab28f083e29aa32c5faeb SHA256 53b3b5d7d9fbe0d7ee6318732e06ddec681a624cbc9c5a3d739a3ac270abe05a
diff --git a/dev-db/neo4j-community/neo4j-community-1.7.ebuild b/dev-db/neo4j-community/neo4j-community-1.7.ebuild
index 82cfd86..a9488d9 100644
--- a/dev-db/neo4j-community/neo4j-community-1.7.ebuild
+++ b/dev-db/neo4j-community/neo4j-community-1.7.ebuild
@@ -31,17 +31,42 @@ src_compile() {
}
src_install() {
- insinto /opt/neo4j
- dodir /opt/bin
+ exeinto /opt/neo4j/bin
+ doexe "${S}"/bin/neo4j || die
+ doexe "${S}"/bin/neo4j-shell || die
+ doexe "${S}"/bin/utils || die
- doins -r * || die
- fperms 0700 /opt/neo4j/bin/neo4j
- fperms 0700 /opt/neo4j/bin/neo4j-shell
- fperms 0700 /opt/neo4j/bin/utils
+ # system requirements
+ insinto /opt/neo4j/system/lib
+ doins "${S}"/system/lib/*.jar || die
+
+ # components directory
+ insinto /opt/neo4j/lib
+ doins "${S}"/lib/*.jar || die
- newinitd "${FILESDIR}"/neo4j.init neo4j
+ # plugins directory
+ dodir /opt/neo4j/plugins
+
+ # config files
+ insinto /etc/neo4j
+ doins "${S}"/conf/neo4j-wrapper.conf
+ doins "${S}"/conf/neo4j.properties
+ doins "${S}"/conf/neo4j-server.properties
+ doins "${S}"/conf/logging.properties
+
+ # documentation
+ dodoc "${S}"/LICENSE.txt
+ dodoc "${S}"/LICENSES.txt
+ dodoc "${S}"/doc/neo4j.txt || die
+ dodoc "${S}"/doc/neo4j-shell.txt || die
+ dodoc "${S}"/doc/guide-post.html || die
+ dodoc -r "${S}"/doc/java || die
+ dodoc -r "${S}"/doc/manual || die
+
+ # init script
+ newinitd "${FILESDIR}"/neo4j.init neo4j || die
# create symlinks
- dosym /opt/neo4j/bin/neo4j /opt/bin/neo4j
- dosym /opt/neo4j/bin/neo4j-shell /opt/bin/neo4j-shell
+ dosym /opt/neo4j/bin/neo4j /opt/bin/neo4j || die
+ dosym /opt/neo4j/bin/neo4j-shell /opt/bin/neo4j-shell || die
}